Get a list of all subscriptions associated with your account.
GET
/
subscriptions
JavaScript
import DodoPayments from 'dodopayments';const client = new DodoPayments({ bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const subscriptionListResponse of client.subscriptions.list()) { console.log(subscriptionListResponse.product_id);}
import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
page = client.subscriptions.list()
page = page.items[0]
print(page.product_id)
Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.
import DodoPayments from 'dodopayments';const client = new DodoPayments({ bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const subscriptionListResponse of client.subscriptions.list()) { console.log(subscriptionListResponse.product_id);}
import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
page = client.subscriptions.list()
page = page.items[0]
print(page.product_id)
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Dodo Payments Documentation","description":"Documentation for Dodo Payments — the all-in-one payments, billing, and merchant of record platform for SaaS, AI, and digital products.","colors":{"primary":"#779812","light":"#C6FE1E","dark":"#166534"},"logo":{"light":"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/light.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=23f7a052f7ecb9d6570b7c95ee359a97","dark":"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/dark.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=cd6c20238a54526436f21c43fee51b26"},"favicon":"https://mintcdn.com/dodopayments/doYQc9oUE-WNz0cs/favicon.svg?fit=max\u0026auto=format\u0026n=doYQc9oUE-WNz0cs\u0026q=85\u0026s=271c6cc8ce7d6bf4d7f2b9cca029e004","background":{"color":{"light":"#FFFFFF","dark":"#0D0D0D"}},"navbar":{"links":[{"icon":"link","href":"https://docs.dodopayments.com/llms-full.txt","label":"llms-full.txt"},{"icon":"discord","href":"https://discord.gg/bYqAp4ayYh","label":"Community"},{"icon":"house","href":"https://app.dodopayments.com/","label":"Dashboard"}]},"footer":{"socials":{"x":"https://x.com/dodopayments","linkedin":"https://linkedin.com/company/dodopayments","website":"https://dodopayments.com","discord":"https://discord.gg/bYqAp4ayYh","github":"https://github.com/dodopayments","instagram":"https://www.instagram.com/dodo.payments","facebook":"https://www.facebook.com/profile.php?id=61565515607280"}},"seo":{"metatags":{"og:site_name":"Dodo Payments Documentation","twitter:card":"summary_large_image"},"indexing":"navigable"},"fonts":{"heading":{"family":"ApfelGrotezk","weight":400,"source":"fonts/ApfelGrotezk-Regular.woff2","format":"woff2"},"body":{"family":"Inter","weight":400,"source":"fonts/Inter-Variable.woff2","format":"woff2"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","cursor"],"display":"header"},"metadata":{"timestamp":true},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","href":"introduction"},{"language":"es","href":"es/introduction"},{"language":"ar","href":"ar/introduction"},{"language":"fr","href":"fr/introduction"},{"language":"de","href":"de/introduction"},{"language":"id","href":"id/introduction"},{"language":"ja","href":"ja/introduction"},{"language":"ko","href":"ko/introduction"},{"language":"pt-BR","href":"pt-BR/introduction"},{"language":"vi","href":"vi/introduction"},{"language":"cn","href":"cn/introduction"},{"language":"hi","href":"hi/introduction"},{"language":"it","href":"it/introduction"},{"language":"sv","href":"sv/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"dodopayments","hasAudioNarration":false,"actualSubdomain":"dodopayments","customDomains":["docs.dodopayments.com"],"gitSource":{"type":"github","owner":"dodopayments","repo":"dodo-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":false,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af2d0a118316a0dfc1e077b","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"en","tag":"API Reference","count":181},{"language":"en","tag":"Docs","count":175},{"language":"ar","tag":"Docs","count":153},{"language":"cn","tag":"Docs","count":153},{"language":"de","tag":"Docs","count":153},{"language":"es","tag":"Docs","count":153},{"language":"fr","tag":"Docs","count":153},{"language":"hi","tag":"Docs","count":153},{"language":"id","tag":"Docs","count":153},{"language":"it","tag":"Docs","count":153},{"language":"ja","tag":"Docs","count":153},{"language":"ko","tag":"Docs","count":153},{"language":"pt-BR","tag":"Docs","count":153},{"language":"sv","tag":"Docs","count":153},{"language":"vi","tag":"Docs","count":153},{"language":"ar","tag":"API Reference","count":151},{"language":"cn","tag":"API Reference","count":151},{"language":"de","tag":"API Reference","count":151},{"language":"es","tag":"API Reference","count":151},{"language":"fr","tag":"API Reference","count":151},{"language":"hi","tag":"API Reference","count":151},{"language":"id","tag":"API Reference","count":151},{"language":"it","tag":"API Reference","count":151},{"language":"ja","tag":"API Reference","count":151},{"language":"ko","tag":"API Reference","count":151},{"language":"pt-BR","tag":"API Reference","count":151},{"language":"sv","tag":"API Reference","count":151},{"language":"vi","tag":"API Reference","count":151},{"language":"en","tag":"Features","count":85},{"language":"ar","tag":"Features","count":81},{"language":"cn","tag":"Features","count":81},{"language":"de","tag":"Features","count":81},{"language":"es","tag":"Features","count":81},{"language":"fr","tag":"Features","count":81},{"language":"hi","tag":"Features","count":81},{"language":"id","tag":"Features","count":81},{"language":"it","tag":"Features","count":81},{"language":"ja","tag":"Features","count":81},{"language":"ko","tag":"Features","count":81},{"language":"pt-BR","tag":"Features","count":81},{"language":"sv","tag":"Features","count":81},{"language":"vi","tag":"Features","count":81},{"language":"en","tag":"Integrate","count":74},{"language":"en","tag":"Changelog","count":66},{"language":"ar","tag":"Changelog","count":65},{"language":"cn","tag":"Changelog","count":65},{"language":"de","tag":"Changelog","count":65},{"language":"es","tag":"Changelog","count":65},{"language":"fr","tag":"Changelog","count":65},{"language":"hi","tag":"Changelog","count":65},{"language":"id","tag":"Changelog","count":65},{"language":"it","tag":"Changelog","count":65},{"language":"ja","tag":"Changelog","count":65},{"language":"ko","tag":"Changelog","count":65},{"language":"pt-BR","tag":"Changelog","count":65},{"language":"sv","tag":"Changelog","count":65},{"language":"vi","tag":"Changelog","count":65},{"language":"ar","tag":"Integrate","count":59},{"language":"cn","tag":"Integrate","count":59},{"language":"de","tag":"Integrate","count":59},{"language":"es","tag":"Integrate","count":59},{"language":"fr","tag":"Integrate","count":59},{"language":"hi","tag":"Integrate","count":59},{"language":"id","tag":"Integrate","count":59},{"language":"it","tag":"Integrate","count":59},{"language":"ja","tag":"Integrate","count":59},{"language":"ko","tag":"Integrate","count":59},{"language":"pt-BR","tag":"Integrate","count":59},{"language":"sv","tag":"Integrate","count":59},{"language":"vi","tag":"Integrate","count":59},{"language":"en","tag":"External Integrations","count":33},{"language":"ar","tag":"External Integrations","count":30},{"language":"cn","tag":"External Integrations","count":30},{"language":"de","tag":"External Integrations","count":30},{"language":"es","tag":"External Integrations","count":30},{"language":"fr","tag":"External Integrations","count":30},{"language":"hi","tag":"External Integrations","count":30},{"language":"id","tag":"External Integrations","count":30},{"language":"it","tag":"External Integrations","count":30},{"language":"ja","tag":"External Integrations","count":30},{"language":"ko","tag":"External Integrations","count":30},{"language":"pt-BR","tag":"External Integrations","count":30},{"language":"sv","tag":"External Integrations","count":30},{"language":"vi","tag":"External Integrations","count":30},{"language":"en","tag":"Webhooks","count":23},{"language":"ar","tag":"Webhooks","count":23},{"language":"cn","tag":"Webhooks","count":23},{"language":"de","tag":"Webhooks","count":23},{"language":"es","tag":"Webhooks","count":23},{"language":"fr","tag":"Webhooks","count":23},{"language":"hi","tag":"Webhooks","count":23},{"language":"id","tag":"Webhooks","count":23},{"language":"it","tag":"Webhooks","count":23},{"language":"ja","tag":"Webhooks","count":23},{"language":"ko","tag":"Webhooks","count":23},{"language":"pt-BR","tag":"Webhooks","count":23},{"language":"sv","tag":"Webhooks","count":23},{"language":"vi","tag":"Webhooks","count":23},{"language":"en","tag":"Guides","count":22},{"language":"ar","tag":"Guides","count":22},{"language":"cn","tag":"Guides","count":22},{"language":"de","tag":"Guides","count":22},{"language":"es","tag":"Guides","count":22},{"language":"fr","tag":"Guides","count":22},{"language":"hi","tag":"Guides","count":22},{"language":"id","tag":"Guides","count":22},{"language":"it","tag":"Guides","count":22},{"language":"ja","tag":"Guides","count":22},{"language":"ko","tag":"Guides","count":22},{"language":"pt-BR","tag":"Guides","count":22},{"language":"sv","tag":"Guides","count":22},{"language":"vi","tag":"Guides","count":22},{"language":"en","tag":"Entitlements","count":20},{"language":"ar","tag":"Entitlements","count":20},{"language":"cn","tag":"Entitlements","count":20},{"language":"de","tag":"Entitlements","count":20},{"language":"es","tag":"Entitlements","count":20},{"language":"fr","tag":"Entitlements","count":20},{"language":"hi","tag":"Entitlements","count":20},{"language":"id","tag":"Entitlements","count":20},{"language":"it","tag":"Entitlements","count":20},{"language":"ja","tag":"Entitlements","count":20},{"language":"ko","tag":"Entitlements","count":20},{"language":"pt-BR","tag":"Entitlements","count":20},{"language":"sv","tag":"Entitlements","count":20},{"language":"vi","tag":"Entitlements","count":20},{"language":"en","tag":"Invoices","count":17},{"language":"ar","tag":"Customers","count":16},{"language":"cn","tag":"Customers","count":16},{"language":"de","tag":"Customers","count":16},{"language":"es","tag":"Customers","count":16},{"language":"fr","tag":"Customers","count":16},{"language":"hi","tag":"Customers","count":16},{"language":"id","tag":"Customers","count":16},{"language":"it","tag":"Customers","count":16},{"language":"ja","tag":"Customers","count":16},{"language":"ko","tag":"Customers","count":16},{"language":"pt-BR","tag":"Customers","count":16},{"language":"sv","tag":"Customers","count":16},{"language":"vi","tag":"Customers","count":16}]},"assistantConfig":{"deflection":{"enabled":false,"email":"support@dodopayments.com","showHelpButton":true}},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"#content-area{max-width:60rem}h1,h2,h3,h4,h5,h6{letter-spacing:0.05em!important}.welcome-page .card-group{margin:3rem auto 8rem;max-width:70rem;padding-left:1.25rem;padding-right:1.25rem}.welcome-page .card-group .card{padding:1rem}.welcome-hero{display:flex;flex-direction:column;align-items:center;justify-content:center;min-height:20vh;text-align:center;margin-top:3rem;margin-bottom:2.5rem}.welcome-hero h1{font-size:2.5rem;font-weight:700;margin-bottom:1rem;line-height:1.2;color:#fff}.welcome-hero p{font-size:1.25rem;max-width:600px;margin:0 auto}.welcome-hero h1{color:rgb(41 42 37 / 1)}.dark .welcome-hero h1{color:rgb(255 255 255 / 1)}.welcome-hero p{color:rgb(83 85 79 / 1)}.dark .welcome-hero p{color:rgb(162 164 158 / 1)}"}],"page":{"pagePath":"api-reference/subscriptions/get-subscriptions-1","slug":"/api-reference/subscriptions/get-subscriptions-1","pageMetadata":{"openapi":"get /subscriptions","title":"List Subscriptions","description":"Get a list of all subscriptions associated with your account.","keywords":["Dodo Payments","API reference","REST API","list subscriptions"],"href":"/api-reference/subscriptions/get-subscriptions-1"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Get a list of all subscriptions associated with your account.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /subscriptions","title":"List Subscriptions","description":"Get a list of all subscriptions associated with your account.","keywords":["Dodo Payments","API reference","REST API","list subscriptions"],"href":"/api-reference/subscriptions/get-subscriptions-1"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/dodopayments/0ee82a08f7b65bcb/seo.js","/_mintlify/custom/dodopayments/6f88c9bbee313616/assistant-loader.js"],"openApiReferenceData":{"operation":{"tags":["Subscriptions"],"operationId":"list_subscriptions_handler","parameters":["686045d9-7748-4eda-95b6-a892af2e2276","3121a0fd-40a4-4f0f-aae2-cc09711dabbf","d3b9cc25-710f-4c0c-aa7a-64e3f1e8f68f","d35d4227-f9a1-44d4-a094-e44db23991d8","70a143b7-b23d-4937-8a08-9a12a37730ac","924c67fd-9413-4bdc-8f6b-2caeab094a75","96917b62-5fed-4b6e-a604-22a59c76485a","ee727a3e-58b5-4501-a21e-59751f315c63","bd30f86d-91d3-4034-a79d-db2b59b39006"],"responses":{"200":"155397e8-df10-4679-896d-b171e1bed169","500":"c21a4d1c-d3b6-402b-936b-dc215c52db1a"},"security":["db85d4da-a896-4294-a68a-f1c84ed15fa5"],"x-codeSamples":[{"lang":"JavaScript","source":"import DodoPayments from 'dodopayments';\n\nconst client = new DodoPayments({\n bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const subscriptionListResponse of client.subscriptions.list()) {\n console.log(subscriptionListResponse.product_id);\n}"},{"lang":"Python","source":"import os\nfrom dodopayments import DodoPayments\n\nclient = DodoPayments(\n bearer_token=os.environ.get(\"DODO_PAYMENTS_API_KEY\"), # This is the default and can be omitted\n)\npage = client.subscriptions.list()\npage = page.items[0]\nprint(page.product_id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\tpage, err := client.Subscriptions.List(context.TODO(), dodopayments.SubscriptionListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"},{"lang":"Java","source":"package com.dodopayments.api.example;\n\nimport com.dodopayments.api.client.DodoPaymentsClient;\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;\nimport com.dodopayments.api.models.subscriptions.SubscriptionListPage;\nimport com.dodopayments.api.models.subscriptions.SubscriptionListParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();\n\n SubscriptionListPage page = client.subscriptions().list();\n }\n}"},{"lang":"Kotlin","source":"package com.dodopayments.api.example\n\nimport com.dodopayments.api.client.DodoPaymentsClient\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient\nimport com.dodopayments.api.models.subscriptions.SubscriptionListPage\nimport com.dodopayments.api.models.subscriptions.SubscriptionListParams\n\nfun main() {\n val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()\n\n val page: SubscriptionListPage = client.subscriptions().list()\n}"},{"lang":"Ruby","source":"require \"dodopayments\"\n\ndodo_payments = Dodopayments::Client.new(\n bearer_token: \"My Bearer Token\",\n environment: \"test_mode\" # defaults to \"live_mode\"\n)\n\npage = dodo_payments.subscriptions.list\n\nputs(page)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Dodopayments\\Client;\nuse Dodopayments\\Core\\Exceptions\\APIException;\n\n$client = new Client(\n bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',\n environment: 'test_mode',\n);\n\ntry {\n $page = $client->subscriptions->list(\n brandID: 'brand_id',\n cancelAtNextBillingDate: true,\n createdAtGte: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n createdAtLte: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n customerID: 'customer_id',\n pageNumber: 0,\n pageSize: 0,\n productID: 'product_id',\n status: 'pending',\n );\n\n var_dump($page);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using System;\nusing DodoPayments.Client;\nusing DodoPayments.Client.Models.Subscriptions;\n\nDodoPaymentsClient client = new();\n\nSubscriptionListParams parameters = new();\n\nvar page = await client.Subscriptions.List(parameters);\nawait foreach (var item in page.Paginate())\n{\n Console.WriteLine(item);\n}"},{"lang":"Rust","source":"use dodopayments::Client;\n\n#[tokio::main]\nasync fn main() -> dodopayments::Result\u003c()> {\n let client = Client::from_env()?;\n let result = client\n .subscriptions()\n .list()\n .query(serde_json::json!({}))\n .await?;\n println!(\"{result:?}\");\n Ok(())\n}"}],"method":"get","type":"path","servers":["258c6c34-2f0b-4091-a5e0-d5c0da1d0e4f","5001ffd6-aa75-47ac-b009-c76c158d0a43"],"path":"/subscriptions","baseUrlOptions":["https://test.dodopayments.com/","https://live.dodopayments.com/"],"title":"","description":"Get a list of all subscriptions associated with your account.","codeSamples":[{"lang":"JavaScript","source":"import DodoPayments from 'dodopayments';\n\nconst client = new DodoPayments({\n bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const subscriptionListResponse of client.subscriptions.list()) {\n console.log(subscriptionListResponse.product_id);\n}"},{"lang":"Python","source":"import os\nfrom dodopayments import DodoPayments\n\nclient = DodoPayments(\n bearer_token=os.environ.get(\"DODO_PAYMENTS_API_KEY\"), # This is the default and can be omitted\n)\npage = client.subscriptions.list()\npage = page.items[0]\nprint(page.product_id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\tpage, err := client.Subscriptions.List(context.TODO(), dodopayments.SubscriptionListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"},{"lang":"Java","source":"package com.dodopayments.api.example;\n\nimport com.dodopayments.api.client.DodoPaymentsClient;\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;\nimport com.dodopayments.api.models.subscriptions.SubscriptionListPage;\nimport com.dodopayments.api.models.subscriptions.SubscriptionListParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();\n\n SubscriptionListPage page = client.subscriptions().list();\n }\n}"},{"lang":"Kotlin","source":"package com.dodopayments.api.example\n\nimport com.dodopayments.api.client.DodoPaymentsClient\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient\nimport com.dodopayments.api.models.subscriptions.SubscriptionListPage\nimport com.dodopayments.api.models.subscriptions.SubscriptionListParams\n\nfun main() {\n val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()\n\n val page: SubscriptionListPage = client.subscriptions().list()\n}"},{"lang":"Ruby","source":"require \"dodopayments\"\n\ndodo_payments = Dodopayments::Client.new(\n bearer_token: \"My Bearer Token\",\n environment: \"test_mode\" # defaults to \"live_mode\"\n)\n\npage = dodo_payments.subscriptions.list\n\nputs(page)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Dodopayments\\Client;\nuse Dodopayments\\Core\\Exceptions\\APIException;\n\n$client = new Client(\n bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',\n environment: 'test_mode',\n);\n\ntry {\n $page = $client->subscriptions->list(\n brandID: 'brand_id',\n cancelAtNextBillingDate: true,\n createdAtGte: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n createdAtLte: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n customerID: 'customer_id',\n pageNumber: 0,\n pageSize: 0,\n productID: 'product_id',\n status: 'pending',\n );\n\n var_dump($page);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using System;\nusing DodoPayments.Client;\nusing DodoPayments.Client.Models.Subscriptions;\n\nDodoPaymentsClient client = new();\n\nSubscriptionListParams parameters = new();\n\nvar page = await client.Subscriptions.List(parameters);\nawait foreach (var item in page.Paginate())\n{\n Console.WriteLine(item);\n}"},{"lang":"Rust","source":"use dodopayments::Client;\n\n#[tokio::main]\nasync fn main() -> dodopayments::Result\u003c()> {\n let client = Client::from_env()?;\n let result = client\n .subscriptions()\n .list()\n .query(serde_json::json!({}))\n .await?;\n println!(\"{result:?}\");\n Ok(())\n}"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"686045d9-7748-4eda-95b6-a892af2e2276":{"name":"created_at_gte","in":"query","description":"Get events after this created time","required":false,"schema":{"type":"string","format":"date-time","isRequired":false,"description":"Get events after this created time","uniqueKey":"","typeLabel":"string\u003cdate-time>"},"style":"form"},"3121a0fd-40a4-4f0f-aae2-cc09711dabbf":{"name":"created_at_lte","in":"query","description":"Get events created before this time","required":false,"schema":{"type":"string","format":"date-time","isRequired":false,"description":"Get events created before this time","uniqueKey":"","typeLabel":"string\u003cdate-time>"},"style":"form"},"d3b9cc25-710f-4c0c-aa7a-64e3f1e8f68f":{"name":"page_size","in":"query","description":"Page size default is 10 max is 100","required":false,"schema":{"type":"integer","format":"int32","minimum":0,"isRequired":false,"description":"Page size default is 10 max is 100","uniqueKey":"","typeLabel":"integer\u003cint32>"},"style":"form"},"d35d4227-f9a1-44d4-a094-e44db23991d8":{"name":"page_number","in":"query","description":"Page number default is 0","required":false,"schema":{"type":"integer","format":"int32","minimum":0,"isRequired":false,"description":"Page number default is 0","uniqueKey":"","typeLabel":"integer\u003cint32>"},"style":"form"},"70a143b7-b23d-4937-8a08-9a12a37730ac":{"name":"customer_id","in":"query","description":"Filter by customer id","required":false,"schema":{"type":"string","isRequired":false,"description":"Filter by customer id","uniqueKey":"","typeLabel":"string"},"style":"form"},"924c67fd-9413-4bdc-8f6b-2caeab094a75":{"name":"status","in":"query","description":"Filter by status","required":false,"schema":{"type":"string","enum":["pending","active","on_hold","paused","cancelled","failed","expired","past_due"],"isRequired":false,"description":"Filter by status","uniqueKey":"","typeLabel":"enum\u003cstring>"},"style":"form"},"96917b62-5fed-4b6e-a604-22a59c76485a":{"name":"brand_id","in":"query","description":"filter by Brand id","required":false,"schema":{"type":"string","isRequired":false,"description":"filter by Brand id","uniqueKey":"","typeLabel":"string"},"style":"form"},"ee727a3e-58b5-4501-a21e-59751f315c63":{"name":"product_id","in":"query","description":"Filter by product id","required":false,"schema":{"type":"string","isRequired":false,"description":"Filter by product id","uniqueKey":"","typeLabel":"string"},"style":"form"},"bd30f86d-91d3-4034-a79d-db2b59b39006":{"name":"cancel_at_next_billing_date","in":"query","description":"Filter by cancel_at_next_billing_date (subscriptions scheduled for cancellation)","required":false,"schema":{"type":"boolean","isRequired":false,"description":"Filter by cancel_at_next_billing_date (subscriptions scheduled for cancellation)","uniqueKey":"","typeLabel":"boolean"},"style":"form"}},"responses":{"155397e8-df10-4679-896d-b171e1bed169":{"description":"","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"type":"object","description":"Response struct representing subscription details","required":["subscription_id","recurring_pre_tax_amount","tax_inclusive","currency","status","created_at","product_id","quantity","trial_period_days","subscription_period_interval","payment_frequency_interval","subscription_period_count","payment_frequency_count","next_billing_date","previous_billing_date","customer","metadata","discounts","cancel_at_next_billing_date","billing","on_demand","has_payment_method","billing_mode"],"properties":{"billing":{"type":"object","required":["country"],"properties":{"country":{"type":"string","description":"Two-letter ISO country code (ISO 3166-1 alpha-2)","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","US","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].billing.country","typeLabel":"enum\u003cstring>"},"city":{"oneOf":[{"type":"string","description":"City name","uniqueKey":"\\items.items.[INDEX].billing.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"City name","uniqueKey":"\\items.items.[INDEX].billing.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].billing.city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"State or province name","uniqueKey":"\\items.items.[INDEX].billing.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"State or province name","uniqueKey":"\\items.items.[INDEX].billing.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].billing.state","typeLabel":"string | null"},"street":{"oneOf":[{"type":"string","description":"Street address including house number and unit/apartment if applicable","uniqueKey":"\\items.items.[INDEX].billing.street.oneOf.0","typeLabel":"string"},{"type":"null","description":"Street address including house number and unit/apartment if applicable","uniqueKey":"\\items.items.[INDEX].billing.street.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].billing.street","typeLabel":"string | null"},"zipcode":{"oneOf":[{"type":"string","description":"Postal code or ZIP code","uniqueKey":"\\items.items.[INDEX].billing.zipcode.oneOf.0","typeLabel":"string"},{"type":"null","description":"Postal code or ZIP code","uniqueKey":"\\items.items.[INDEX].billing.zipcode.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].billing.zipcode","typeLabel":"string | null"}},"description":"Billing address details for payments","isRequired":true,"uniqueKey":"\\items.items.[INDEX].billing","typeLabel":"object"},"billing_mode":{"type":"string","enum":["normal","invoice_led"],"description":"`invoice_led` when invoices bill the subscription. `normal` otherwise.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].billing_mode","typeLabel":"enum\u003cstring>"},"cancel_at_next_billing_date":{"type":"boolean","description":"Indicates if the subscription will cancel at the next billing date","isRequired":true,"uniqueKey":"\\items.items.[INDEX].cancel_at_next_billing_date","typeLabel":"boolean"},"created_at":{"type":"string","format":"date-time","description":"Timestamp when the subscription was created","isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"currency":{"type":"string","enum":["AED","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BRL","BSD","BWP","BYN","BZD","CAD","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","JMD","JOD","JPY","KES","KGS","KHR","KMF","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SEK","SGD","SHP","SLE","SLL","SOS","SRD","SSP","STN","SVC","SZL","THB","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW"],"description":"Currency used for the subscription payments","isRequired":true,"uniqueKey":"\\items.items.[INDEX].currency","typeLabel":"enum\u003cstring>"},"customer":{"type":"object","required":["customer_id","name","email"],"properties":{"customer_id":{"type":"string","description":"Unique identifier for the customer","isRequired":true,"uniqueKey":"\\items.items.[INDEX].customer.customer_id","typeLabel":"string"},"email":{"type":"string","description":"Email address of the customer","isRequired":true,"uniqueKey":"\\items.items.[INDEX].customer.email","typeLabel":"string"},"name":{"type":"string","description":"Full name of the customer","isRequired":true,"uniqueKey":"\\items.items.[INDEX].customer.name","typeLabel":"string"},"metadata":{"type":"object","title":"Metadata","description":"Additional metadata associated with the customer","additionalProperties":{"oneOf":[{"type":"string","title":"String","description":"Metadata value can be a string, integer, number, or boolean","uniqueKey":"\\items.items.[INDEX].customer.metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"integer","title":"Integer","description":"Metadata value can be a string, integer, number, or boolean","format":"int64","uniqueKey":"\\items.items.[INDEX].customer.metadata.additionalProperties.oneOf.1","typeLabel":"integer\u003cint64>"},{"type":"number","title":"Number","description":"Metadata value can be a string, integer, number, or boolean","format":"double","uniqueKey":"\\items.items.[INDEX].customer.metadata.additionalProperties.oneOf.2","typeLabel":"number\u003cdouble>"},{"type":"boolean","title":"Boolean","description":"Metadata value can be a string, integer, number, or boolean","uniqueKey":"\\items.items.[INDEX].customer.metadata.additionalProperties.oneOf.3","typeLabel":"boolean"}],"uniqueKey":"\\items.items.[INDEX].customer.metadata.additionalProperties","typeLabel":"string | integer\u003cint64> | number\u003cdouble> | boolean"},"uniqueKey":"\\items.items.[INDEX].customer.metadata","typeLabel":"Metadata · object"},"phone_number":{"oneOf":[{"type":"string","description":"Phone number of the customer","uniqueKey":"\\items.items.[INDEX].customer.phone_number.oneOf.0","typeLabel":"string"},{"type":"null","description":"Phone number of the customer","uniqueKey":"\\items.items.[INDEX].customer.phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].customer.phone_number","typeLabel":"string | null"}},"description":"Customer details associated with the subscription","isRequired":true,"uniqueKey":"\\items.items.[INDEX].customer","typeLabel":"object"},"discounts":{"type":"array","items":{"type":"object","description":"Lightweight discount info for list endpoints.\nArray order represents position (no explicit position field).","required":["discount_id"],"properties":{"discount_id":{"type":"string","description":"The unique discount ID","isRequired":true,"uniqueKey":"\\items.items.[INDEX].discounts.items.[INDEX].discount_id","typeLabel":"string"},"discount_cycles_remaining":{"oneOf":[{"type":"integer","format":"int32","description":"Remaining billing cycles for this discount on this subscription","uniqueKey":"\\items.items.[INDEX].discounts.items.[INDEX].discount_cycles_remaining.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Remaining billing cycles for this discount on this subscription","uniqueKey":"\\items.items.[INDEX].discounts.items.[INDEX].discount_cycles_remaining.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].discounts.items.[INDEX].discount_cycles_remaining","typeLabel":"integer\u003cint32> | null"}},"uniqueKey":"\\items.items.[INDEX].discounts.items.[INDEX]","typeLabel":"object"},"description":"All stacked discounts applied, in order of application","isRequired":true,"uniqueKey":"\\items.items.[INDEX].discounts","typeLabel":"object[]"},"has_payment_method":{"type":"boolean","description":"Whether a payment method is on file. False while a card-optional\nsubscription waits for the customer to add one.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].has_payment_method","typeLabel":"boolean"},"metadata":{"type":"object","title":"Metadata","description":"Additional custom data associated with the subscription","additionalProperties":{"oneOf":[{"type":"string","title":"String","description":"Metadata value can be a string, integer, number, or boolean","uniqueKey":"\\items.items.[INDEX].metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"integer","title":"Integer","description":"Metadata value can be a string, integer, number, or boolean","format":"int64","uniqueKey":"\\items.items.[INDEX].metadata.additionalProperties.oneOf.1","typeLabel":"integer\u003cint64>"},{"type":"number","title":"Number","description":"Metadata value can be a string, integer, number, or boolean","format":"double","uniqueKey":"\\items.items.[INDEX].metadata.additionalProperties.oneOf.2","typeLabel":"number\u003cdouble>"},{"type":"boolean","title":"Boolean","description":"Metadata value can be a string, integer, number, or boolean","uniqueKey":"\\items.items.[INDEX].metadata.additionalProperties.oneOf.3","typeLabel":"boolean"}],"uniqueKey":"\\items.items.[INDEX].metadata.additionalProperties","typeLabel":"string | integer\u003cint64> | number\u003cdouble> | boolean"},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].metadata","typeLabel":"Metadata · object"},"next_billing_date":{"type":"string","format":"date-time","description":"Timestamp of the next scheduled billing. Indicates the end of current billing period","isRequired":true,"uniqueKey":"\\items.items.[INDEX].next_billing_date","typeLabel":"string\u003cdate-time>"},"on_demand":{"type":"boolean","description":"Wether the subscription is on-demand or not","isRequired":true,"uniqueKey":"\\items.items.[INDEX].on_demand","typeLabel":"boolean"},"payment_frequency_count":{"type":"integer","format":"int32","description":"Number of payment frequency intervals","isRequired":true,"uniqueKey":"\\items.items.[INDEX].payment_frequency_count","typeLabel":"integer\u003cint32>"},"payment_frequency_interval":{"type":"string","description":"Time interval for payment frequency (e.g. month, year)","enum":["Day","Week","Month","Year"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].payment_frequency_interval","typeLabel":"enum\u003cstring>"},"previous_billing_date":{"type":"string","format":"date-time","description":"Timestamp of the last payment. Indicates the start of current billing period","isRequired":true,"uniqueKey":"\\items.items.[INDEX].previous_billing_date","typeLabel":"string\u003cdate-time>"},"product_id":{"type":"string","description":"Identifier of the product associated with this subscription","isRequired":true,"uniqueKey":"\\items.items.[INDEX].product_id","typeLabel":"string"},"quantity":{"type":"integer","format":"int32","description":"Number of units/items included in the subscription","isRequired":true,"uniqueKey":"\\items.items.[INDEX].quantity","typeLabel":"integer\u003cint32>"},"recurring_pre_tax_amount":{"type":"integer","format":"int32","description":"Amount charged before tax for each recurring payment in the currency's smallest unit\n(cents for USD, yen for JPY, fils for KWD)","isRequired":true,"uniqueKey":"\\items.items.[INDEX].recurring_pre_tax_amount","typeLabel":"integer\u003cint32>"},"status":{"type":"string","enum":["pending","active","on_hold","paused","cancelled","failed","expired","past_due"],"description":"Current status of the subscription","isRequired":true,"uniqueKey":"\\items.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"subscription_id":{"type":"string","description":"Unique identifier for the subscription","isRequired":true,"uniqueKey":"\\items.items.[INDEX].subscription_id","typeLabel":"string"},"subscription_period_count":{"type":"integer","format":"int32","description":"Number of subscription period intervals","isRequired":true,"uniqueKey":"\\items.items.[INDEX].subscription_period_count","typeLabel":"integer\u003cint32>"},"subscription_period_interval":{"type":"string","description":"Time interval for the subscription period (e.g. month, year)","enum":["Day","Week","Month","Year"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].subscription_period_interval","typeLabel":"enum\u003cstring>"},"tax_inclusive":{"type":"boolean","description":"Indicates if the recurring_pre_tax_amount is tax inclusive","isRequired":true,"uniqueKey":"\\items.items.[INDEX].tax_inclusive","typeLabel":"boolean"},"trial_period_days":{"type":"integer","format":"int32","description":"Number of days in the trial period (0 if no trial)","isRequired":true,"uniqueKey":"\\items.items.[INDEX].trial_period_days","typeLabel":"integer\u003cint32>"},"cancelled_at":{"oneOf":[{"type":"string","format":"date-time","description":"Cancelled timestamp if the subscription is cancelled","uniqueKey":"\\items.items.[INDEX].cancelled_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Cancelled timestamp if the subscription is cancelled","uniqueKey":"\\items.items.[INDEX].cancelled_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cancelled_at","typeLabel":"string\u003cdate-time> | null"},"cancelled_by":{"oneOf":[{"type":"null","uniqueKey":"\\items.items.[INDEX].cancelled_by.oneOf.0","typeLabel":"null"},{"type":"object","description":"The caller that cancelled the subscription or scheduled its cancel.\n`null` when no caller is known, for example when the system cancelled\nthe subscription.","required":["actor_type"],"properties":{"actor_type":{"type":"string","description":"The kind of caller.","enum":["customer","merchant_user","api_key","dodo_team"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cancelled_by.oneOf.1.actor_type","typeLabel":"enum\u003cstring>"},"email":{"oneOf":[{"type":"string","description":"Email of the customer or of the dashboard user. `null` for an API key\nor the Dodo Payments team.","uniqueKey":"\\items.items.[INDEX].cancelled_by.oneOf.1.email.oneOf.0","typeLabel":"string"},{"type":"null","description":"Email of the customer or of the dashboard user. `null` for an API key\nor the Dodo Payments team.","uniqueKey":"\\items.items.[INDEX].cancelled_by.oneOf.1.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cancelled_by.oneOf.1.email","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","description":"Name of the customer or of the dashboard user. `null` for an API key\nor the Dodo Payments team.","uniqueKey":"\\items.items.[INDEX].cancelled_by.oneOf.1.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the customer or of the dashboard user. `null` for an API key\nor the Dodo Payments team.","uniqueKey":"\\items.items.[INDEX].cancelled_by.oneOf.1.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cancelled_by.oneOf.1.name","typeLabel":"string | null"}},"uniqueKey":"\\items.items.[INDEX].cancelled_by.oneOf.1","typeLabel":"object"}],"uniqueKey":"\\items.items.[INDEX].cancelled_by","typeLabel":"null | object"},"collection_method":{"oneOf":[{"type":"null","uniqueKey":"\\items.items.[INDEX].collection_method.oneOf.0","typeLabel":"null"},{"type":"string","description":"How an invoice-led subscription collects each invoice. `null` for `normal`.","enum":["auto_charge","manual"],"uniqueKey":"\\items.items.[INDEX].collection_method.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"\\items.items.[INDEX].collection_method","typeLabel":"null | enum\u003cstring>"},"customer_business_name":{"oneOf":[{"type":"string","description":"Business / legal name associated with the tax id (B2B). When set this is\nused on the invoice in place of the customer's personal name.","uniqueKey":"\\items.items.[INDEX].customer_business_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Business / legal name associated with the tax id (B2B). When set this is\nused on the invoice in place of the customer's personal name.","uniqueKey":"\\items.items.[INDEX].customer_business_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].customer_business_name","typeLabel":"string | null"},"discount_cycles_remaining":{"oneOf":[{"type":"integer","format":"int32","description":"DEPRECATED: Use discounts[].cycles_remaining instead.","uniqueKey":"\\items.items.[INDEX].discount_cycles_remaining.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"DEPRECATED: Use discounts[].cycles_remaining instead.","uniqueKey":"\\items.items.[INDEX].discount_cycles_remaining.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].discount_cycles_remaining","typeLabel":"integer\u003cint32> | null"},"discount_id":{"oneOf":[{"type":"string","description":"DEPRECATED: Use discounts instead.","uniqueKey":"\\items.items.[INDEX].discount_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"DEPRECATED: Use discounts instead.","uniqueKey":"\\items.items.[INDEX].discount_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].discount_id","typeLabel":"string | null"},"paused_at":{"oneOf":[{"type":"string","format":"date-time","description":"Timestamp when the subscription was paused, if it currently is (or is\n`OnHold` due to an unresolved pause settlement). `null` otherwise.","uniqueKey":"\\items.items.[INDEX].paused_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Timestamp when the subscription was paused, if it currently is (or is\n`OnHold` due to an unresolved pause settlement). `null` otherwise.","uniqueKey":"\\items.items.[INDEX].paused_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].paused_at","typeLabel":"string\u003cdate-time> | null"},"payment_method_id":{"oneOf":[{"type":"string","description":"Saved payment method id used for recurring charges","uniqueKey":"\\items.items.[INDEX].payment_method_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Saved payment method id used for recurring charges","uniqueKey":"\\items.items.[INDEX].payment_method_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].payment_method_id","typeLabel":"string | null"},"payment_terms_days":{"oneOf":[{"type":"integer","format":"int32","description":"Days from the invoice date to the due date. `null` for `normal`.","uniqueKey":"\\items.items.[INDEX].payment_terms_days.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Days from the invoice date to the due date. `null` for `normal`.","uniqueKey":"\\items.items.[INDEX].payment_terms_days.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].payment_terms_days","typeLabel":"integer\u003cint32> | null"},"product_name":{"oneOf":[{"type":"string","description":"Name of the product associated with this subscription","uniqueKey":"\\items.items.[INDEX].product_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the product associated with this subscription","uniqueKey":"\\items.items.[INDEX].product_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].product_name","typeLabel":"string | null"},"scheduled_change":{"oneOf":[{"type":"null","uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.0","typeLabel":"null"},{"type":"object","description":"Scheduled plan change details, if any","required":["id","product_id","quantity","effective_at","created_at","addons"],"properties":{"addons":{"type":"array","items":{"type":"object","required":["addon_id","name","quantity"],"properties":{"addon_id":{"type":"string","description":"The addon ID","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.addons.items.[INDEX].addon_id","typeLabel":"string"},"name":{"type":"string","description":"Name of the addon","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.addons.items.[INDEX].name","typeLabel":"string"},"quantity":{"type":"integer","format":"int32","description":"Quantity of the addon","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.addons.items.[INDEX].quantity","typeLabel":"integer\u003cint32>"}},"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.addons.items.[INDEX]","typeLabel":"object"},"description":"Addons included in the scheduled change","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.addons","typeLabel":"object[]"},"created_at":{"type":"string","format":"date-time","description":"When this scheduled change was created","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.created_at","typeLabel":"string\u003cdate-time>"},"effective_at":{"type":"string","format":"date-time","description":"When the change will be applied","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.effective_at","typeLabel":"string\u003cdate-time>"},"id":{"type":"string","description":"The scheduled plan change ID","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.id","typeLabel":"string"},"product_id":{"type":"string","description":"The product ID the subscription will change to","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.product_id","typeLabel":"string"},"quantity":{"type":"integer","format":"int32","description":"Quantity for the new plan","isRequired":true,"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.quantity","typeLabel":"integer\u003cint32>"},"product_description":{"oneOf":[{"type":"string","description":"Description of the product being changed to","uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.product_description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description of the product being changed to","uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.product_description.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.product_description","typeLabel":"string | null"},"product_name":{"oneOf":[{"type":"string","description":"Name of the product being changed to","uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.product_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the product being changed to","uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.product_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1.product_name","typeLabel":"string | null"}},"uniqueKey":"\\items.items.[INDEX].scheduled_change.oneOf.1","typeLabel":"object"}],"uniqueKey":"\\items.items.[INDEX].scheduled_change","typeLabel":"null | object"},"tax_id":{"oneOf":[{"type":"string","description":"Tax identifier provided for this subscription (if applicable)","uniqueKey":"\\items.items.[INDEX].tax_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Tax identifier provided for this subscription (if applicable)","uniqueKey":"\\items.items.[INDEX].tax_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].tax_id","typeLabel":"string | null"},"trial_amount":{"oneOf":[{"type":"integer","format":"int32","description":"Per-unit trial amount after discounts, snapshotted at subscription creation\n(price currency minor units, pre-quantity, pre-tax). Null for a free trial or no trial.","uniqueKey":"\\items.items.[INDEX].trial_amount.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Per-unit trial amount after discounts, snapshotted at subscription creation\n(price currency minor units, pre-quantity, pre-tax). Null for a free trial or no trial.","uniqueKey":"\\items.items.[INDEX].trial_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].trial_amount","typeLabel":"integer\u003cint32> | null"}},"uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"\\items","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"items":[{"billing":{"country":"AF","city":"\u003cstring>","state":"\u003cstring>","street":"\u003cstring>","zipcode":"\u003cstring>"},"billing_mode":"normal","cancel_at_next_billing_date":true,"created_at":"2023-11-07T05:31:56Z","currency":"AED","customer":{"customer_id":"\u003cstring>","email":"\u003cstring>","name":"\u003cstring>","metadata":{},"phone_number":"\u003cstring>"},"discounts":[{"discount_id":"\u003cstring>","discount_cycles_remaining":123}],"has_payment_method":true,"metadata":{},"next_billing_date":"2023-11-07T05:31:56Z","on_demand":true,"payment_frequency_count":123,"payment_frequency_interval":"Day","previous_billing_date":"2023-11-07T05:31:56Z","product_id":"\u003cstring>","quantity":123,"recurring_pre_tax_amount":123,"status":"pending","subscription_id":"\u003cstring>","subscription_period_count":123,"subscription_period_interval":"Day","tax_inclusive":true,"trial_period_days":123,"cancelled_at":"2023-11-07T05:31:56Z","cancelled_by":{"actor_type":"customer","email":"\u003cstring>","name":"\u003cstring>"},"collection_method":"auto_charge","customer_business_name":"\u003cstring>","discount_cycles_remaining":123,"discount_id":"\u003cstring>","paused_at":"2023-11-07T05:31:56Z","payment_method_id":"\u003cstring>","payment_terms_days":123,"product_name":"\u003cstring>","scheduled_change":{"addons":[{"addon_id":"\u003cstring>","name":"\u003cstring>","quantity":123}],"created_at":"2023-11-07T05:31:56Z","effective_at":"2023-11-07T05:31:56Z","id":"\u003cstring>","product_id":"\u003cstring>","quantity":123,"product_description":"\u003cstring>","product_name":"\u003cstring>"},"tax_id":"\u003cstring>","trial_amount":123}]}}},"exampleType":"generated"}},"exampleType":"generated"},"c21a4d1c-d3b6-402b-936b-dc215c52db1a":{"description":"Something went wrong :(","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"db85d4da-a896-4294-a68a-f1c84ed15fa5":{"API_KEY":{"type":"http","scheme":"bearer","description":"Send your API key as a bearer token: `Authorization: Bearer \u003capi_key>`. A test mode key starts with `dodo_test_`, for example `dodo_test_AbCd1234EfGh5678.\u003csecret>`. A live mode key starts with `dodo_live_`. Use a test mode key on `test.dodopayments.com` and a live mode key on `live.dodopayments.com`. Keys from before these tags have no tag and operate as before.","scopes":[],"schemeName":"API_KEY"}}},"servers":{"258c6c34-2f0b-4091-a5e0-d5c0da1d0e4f":{"url":"https://test.dodopayments.com/","description":"Test Mode Server Host"},"5001ffd6-aa75-47ac-b009-c76c158d0a43":{"url":"https://live.dodopayments.com/","description":"Live Mode Server Host"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Send your API key as a bearer token: `Authorization: Bearer \u003capi_key>`. A test mode key starts with `dodo_test_`, for example `dodo_test_AbCd1234EfGh5678.\u003csecret>`. A live mode key starts with `dodo_live_`. Use a test mode key on `test.dodopayments.com` and a live mode key on `live.dodopayments.com`. Keys from before these tags have no tag and operate as before.","scopes":[],"schemeName":"API_KEY"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Send your API key as a bearer token: `Authorization: Bearer \u003capi_key>`. A test mode key starts with `dodo_test_`, for example `dodo_test_AbCd1234EfGh5678.\u003csecret>`. A live mode key starts with `dodo_live_`. Use a test mode key on `test.dodopayments.com` and a live mode key on `live.dodopayments.com`. Keys from before these tags have no tag and operate as before.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"API_KEY","name":"Authorization"}],"title":"API_KEY"}]},"originalFileLocation":"openapi/openapi.documented.yml"},"subdomain":"dodopayments","siteName":"Dodo Payments Documentation","title":"List Subscriptions - Dodo Payments Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/subscriptions/get-subscriptions-1","matchLevel":0},"es":{"href":"/es/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"ar":{"href":"/ar/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"fr":{"href":"/fr/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"de":{"href":"/de/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"id":{"href":"/id/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"ja":{"href":"/ja/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"ko":{"href":"/ko/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"pt-BR":{"href":"/pt-BR/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"vi":{"href":"/vi/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"cn":{"href":"/cn/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"hi":{"href":"/hi/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"it":{"href":"/it/api-reference/subscriptions/get-subscriptions-1","matchLevel":1},"sv":{"href":"/sv/api-reference/subscriptions/get-subscriptions-1","matchLevel":1}}},"lastModified":"2026-05-26T07:16:22.838Z","gitLastModified":"2026-05-26T07:15:43.000Z","originalFileLocation":"api-reference/subscriptions/get-subscriptions-1.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Get a list of all subscriptions associated with your account.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Subscriptions - Dodo Payments Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Get a list of all subscriptions associated with your account.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://dodopayments.mintlify.site/_mintlify/api/og/v2?division=Subscriptions\u0026amp;title=List+Subscriptions\u0026amp;description=Get+a+list+of+all+subscriptions+associated+with+your+account.\u0026amp;theme=fcc3a546490e883f7462a320\u0026amp;signature=2603962dc3aee968bff7ca1170281f1a4b3b8e4bd25f0d3474f3368afe5c2e2e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Subscriptions - Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Get a list of all subscriptions associated with your account.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://dodopayments.mintlify.site/_mintlify/api/og/v2?division=Subscriptions\u0026amp;title=List+Subscriptions\u0026amp;description=Get+a+list+of+all+subscriptions+associated+with+your+account.\u0026amp;theme=fcc3a546490e883f7462a320\u0026amp;signature=2603962dc3aee968bff7ca1170281f1a4b3b8e4bd25f0d3474f3368afe5c2e2e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#779812\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/subscriptions/get-subscriptions-1.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"es\" href=\"https://docs.dodopayments.com/es/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ar\" href=\"https://docs.dodopayments.com/ar/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"fr\" href=\"https://docs.dodopayments.com/fr/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"de\" href=\"https://docs.dodopayments.com/de/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"id\" href=\"https://docs.dodopayments.com/id/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ja\" href=\"https://docs.dodopayments.com/ja/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ko\" href=\"https://docs.dodopayments.com/ko/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"pt-BR\" href=\"https://docs.dodopayments.com/pt-BR/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"vi\" href=\"https://docs.dodopayments.com/vi/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.dodopayments.com/cn/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"hi\" href=\"https://docs.dodopayments.com/hi/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"it\" href=\"https://docs.dodopayments.com/it/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"sv\" href=\"https://docs.dodopayments.com/sv/api-reference/subscriptions/get-subscriptions-1\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.dodopayments.com/#organization\",\"name\":\"Dodo Payments Documentation\",\"url\":\"https://docs.dodopayments.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/light.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=23f7a052f7ecb9d6570b7c95ee359a97\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.dodopayments.com#website\",\"name\":\"Dodo Payments Documentation\",\"url\":\"https://docs.dodopayments.com\",\"publisher\":{\"@id\":\"https://docs.dodopayments.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1#webpage\",\"url\":\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1\",\"name\":\"List Subscriptions\",\"description\":\"Get a list of all subscriptions associated with your account.\",\"dateModified\":\"2026-05-26T07:15:43.000Z\",\"isPartOf\":{\"@id\":\"https://docs.dodopayments.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Dodo Payments Documentation\",\"item\":\"https://docs.dodopayments.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List Subscriptions\",\"item\":\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1#apireference\",\"headline\":\"List Subscriptions\",\"name\":\"List Subscriptions\",\"description\":\"Get a list of all subscriptions associated with your account.\",\"url\":\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1\",\"mainEntityOfPage\":{\"@id\":\"https://docs.dodopayments.com/api-reference/subscriptions/get-subscriptions-1#webpage\"},\"dateModified\":\"2026-05-26T07:15:43.000Z\",\"keywords\":\"Dodo Payments, API reference, REST API, list subscriptions\",\"publisher\":{\"@id\":\"https://docs.dodopayments.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.dodopayments.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Dodo Payments Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Dodo Payments Documentation","nav":{"global":null,"languages":[{"language":"en","tabs":[{"tab":"Docs","icon":"book","pages":[{"title":"Docs","href":"/introduction"}]},{"tab":"Guides","icon":"compass","pages":[{"title":"Guides","href":"/developer-resources/integration-guide"}]},{"tab":"API Reference","icon":"rectangle-code","groups":[{"group":"API Reference","pages":[{"title":"API Reference","sidebarTitle":"Introduction","icon":"book-open","href":"/api-reference/introduction"},{"title":"Error Codes","icon":"triangle-exclamation","href":"/api-reference/error-codes"},{"title":"Transaction Failures","icon":"circle-exclamation","href":"/api-reference/transaction-failures"},{"title":"Metadata Guide","icon":"tags","href":"/api-reference/metadata"}]},{"group":"Checkout Sessions","pages":[{"openapi":"post /checkouts","title":"Create Checkout Session","href":"/api-reference/checkout-sessions/create"},{"openapi":"post /checkouts/preview","title":"Preview Checkout Session","href":"/api-reference/checkout-sessions/preview"},{"openapi":"get /checkouts/{id}","title":"Get Checkout Session","href":"/api-reference/checkout-sessions/get-checkouts"}]},{"group":"Payments","pages":[{"openapi":"get /payments","title":"List Payments","href":"/api-reference/payments/get-payments"},{"openapi":"get /payments/{payment_id}","title":"Get Payment Detail","href":"/api-reference/payments/get-payments-1"},{"title":"Get Invoice","openapi":"get /invoices/payments/{payment_id}","href":"/api-reference/payments/get-invoice"},{"openapi":"get /payments/{payment_id}/line-items","title":"Retrieve Line Items","href":"/api-reference/payments/retrieve-line-items"},{"openapi":"get /payments/{payment_id}/retry","title":"Get Manual Retry State","href":"/api-reference/payments/retrieve-retry-state"},{"openapi":"post /payments/{payment_id}/retry","title":"Retry Payment","href":"/api-reference/payments/retry-payment"},{"openapi":"post /payments","title":"Create One-Time Payment","description":"Deprecated: create a one-time payment for a customer. Use Create Checkout Session (POST /checkouts) for new one-time payment integrations.","tag":"DEPRECATED","href":"/api-reference/payments/post-payments"}]},{"group":"Subscriptions","pages":[{"openapi":"get /subscriptions","title":"List Subscriptions","href":"/api-reference/subscriptions/get-subscriptions-1"},{"openapi":"get /subscriptions/{subscription_id}","title":"Get Subscription Detail","description":"Get detailed information about a specific subscription.","href":"/api-reference/subscriptions/get-subscriptions"},{"openapi":"post /subscriptions/{subscription_id}/change-plan","title":"Change Plan","href":"/api-reference/subscriptions/change-plan"},{"openapi":"post /subscriptions/{subscription_id}/change-plan/preview","title":"Preview Plan Change","href":"/api-reference/subscriptions/preview-change-plan"},{"openapi":"delete /subscriptions/{subscription_id}/change-plan/scheduled","title":"Cancel Scheduled Plan Change","href":"/api-reference/subscriptions/cancel-change-plan"},{"openapi":"patch /subscriptions/{subscription_id}","title":"Update Subscription","href":"/api-reference/subscriptions/patch-subscriptions"},{"openapi":"post /subscriptions/{subscription_id}/charge","title":"Create Charge (On-Demand)","href":"/api-reference/subscriptions/create-charge"},{"openapi":"get /subscriptions/{subscription_id}/usage-history","title":"Get Subscription Usage History","href":"/api-reference/subscriptions/get-usage-history"},{"openapi":"get /subscriptions/{subscription_id}/credit-usage","title":"Retrieve Credit Usage","href":"/api-reference/subscriptions/retrieve-credit-usage"},{"openapi":"post /subscriptions/{subscription_id}/update-payment-method","title":"Update Payment Method","href":"/api-reference/subscriptions/update-payment-method"},{"openapi":"post /subscriptions","title":"Create Subscription","tag":"DEPRECATED","href":"/api-reference/subscriptions/post-subscriptions"},{"openapi":"get /subscriptions/{subscription_id}/upcoming-invoice","title":"Get the Upcoming Invoice of a Subscription","href":"/api-reference/subscriptions/get-upcoming-invoice"}]},{"group":"Invoices","pages":[{"openapi":"get /billing/invoices","title":"List Invoices","href":"/api-reference/invoices/list-invoices"},{"openapi":"post /billing/invoices","title":"Create a Draft Invoice","href":"/api-reference/invoices/create-invoice"},{"openapi":"post /billing/invoices/preview","title":"Preview an Invoice Request","href":"/api-reference/invoices/preview-invoice-request"},{"openapi":"get /billing/invoices/{invoice_id}","title":"Get an Invoice","href":"/api-reference/invoices/get-invoice"},{"openapi":"patch /billing/invoices/{invoice_id}","title":"Update an Invoice","href":"/api-reference/invoices/update-invoice"},{"openapi":"delete /billing/invoices/{invoice_id}","title":"Delete a Draft Invoice","href":"/api-reference/invoices/delete-invoice"},{"openapi":"post /billing/invoices/{invoice_id}/finalize","title":"Finalize an Invoice","href":"/api-reference/invoices/finalize-invoice"},{"openapi":"post /billing/invoices/{invoice_id}/send","title":"Send an Invoice","href":"/api-reference/invoices/send-invoice"},{"openapi":"post /billing/invoices/{invoice_id}/hosted-link","title":"Create the Hosted Link of an Invoice","href":"/api-reference/invoices/create-hosted-link"},{"openapi":"post /billing/invoices/{invoice_id}/retry","title":"Retry the Charge of an Invoice","href":"/api-reference/invoices/retry-invoice"},{"openapi":"post /billing/invoices/{invoice_id}/dunning","title":"Change the Dunning of an Invoice","href":"/api-reference/invoices/change-dunning"},{"openapi":"post /billing/invoices/{invoice_id}/void","title":"Void an Invoice","href":"/api-reference/invoices/void-invoice"},{"openapi":"post /billing/invoices/{invoice_id}/mark-uncollectable","title":"Mark an Invoice Uncollectable","href":"/api-reference/invoices/mark-uncollectable"},{"openapi":"post /billing/invoices/{invoice_id}/duplicate","title":"Duplicate an Invoice","href":"/api-reference/invoices/duplicate-invoice"},{"openapi":"post /billing/invoices/{invoice_id}/notes","title":"Add a Note to an Invoice","href":"/api-reference/invoices/add-note"},{"openapi":"get /billing/invoices/{invoice_id}/events","title":"List the Events of an Invoice","href":"/api-reference/invoices/list-invoice-events"},{"openapi":"get /billing/invoices/{invoice_id}/preview","title":"Preview a Draft Invoice","href":"/api-reference/invoices/preview-invoice"}]},{"group":"Discounts","pages":[{"openapi":"get /discounts","title":"List Discounts","href":"/api-reference/discounts/list-discounts"},{"openapi":"post /discounts","title":"Create Discount","href":"/api-reference/discounts/create-discount"},{"openapi":"get /discounts/{discount_id}","title":"Get Discount","href":"/api-reference/discounts/validate-discount"},{"openapi":"get /discounts/code/{code}","title":"Get Discount by Code","href":"/api-reference/discounts/get-discount-by-code"},{"openapi":"patch /discounts/{discount_id}","title":"Update Discount","href":"/api-reference/discounts/update-discount"},{"openapi":"delete /discounts/{discount_id}","title":"Delete Discount","href":"/api-reference/discounts/delete-discount"},{"openapi":"get /discounts/{discount_id}/customers","title":"List Discount Customers","href":"/api-reference/discounts/list-discount-customers"},{"openapi":"post /discounts/{discount_id}/customers","title":"Add Discount Customers","href":"/api-reference/discounts/add-discount-customers"},{"openapi":"delete /discounts/{discount_id}/customers/{customer_id}","title":"Remove Discount Customer","href":"/api-reference/discounts/remove-discount-customer"}]},{"group":"Licenses","pages":[{"title":"Create License Key","openapi":"post /license_keys","href":"/api-reference/licenses/create-license-key"},{"title":"Activate License","openapi":"post /licenses/activate","href":"/api-reference/licenses/activate-license"},{"title":"Deactivate License","openapi":"post /licenses/deactivate","href":"/api-reference/licenses/deactivate-license"},{"title":"Validate License","openapi":"post /licenses/validate","href":"/api-reference/licenses/validate-license"},{"title":"List License Keys","openapi":"get /license_keys","tag":"DEPRECATED","href":"/api-reference/licenses/list-license-keys"},{"title":"Get License Key","openapi":"get /license_keys/{id}","tag":"DEPRECATED","href":"/api-reference/licenses/get-license-key"},{"title":"Update License Key","openapi":"patch /license_keys/{id}","tag":"DEPRECATED","href":"/api-reference/licenses/update-license-key"},{"title":"List License Key Instances","openapi":"get /license_key_instances","href":"/api-reference/licenses/get-license-key-instances"},{"title":"Get License Key Instance","openapi":"get /license_key_instances/{id}","href":"/api-reference/licenses/get-license-key-instance"},{"title":"Update License Key Instance","openapi":"patch /license_key_instances/{id}","href":"/api-reference/licenses/update-license-key-instance"}]},{"group":"Entitlements","pages":[{"title":"List Entitlements","openapi":"get /entitlements","href":"/api-reference/entitlements/list-entitlements"},{"title":"Create Entitlement","openapi":"post /entitlements","href":"/api-reference/entitlements/create-entitlement"},{"title":"Get Entitlement","openapi":"get /entitlements/{id}","href":"/api-reference/entitlements/get-entitlement"},{"title":"Update Entitlement","openapi":"patch /entitlements/{id}","href":"/api-reference/entitlements/update-entitlement"},{"title":"Delete Entitlement","openapi":"delete /entitlements/{id}","href":"/api-reference/entitlements/delete-entitlement"},{"title":"Upload File","openapi":"post /entitlements/{id}/files","href":"/api-reference/entitlements/upload-file"},{"title":"Delete File","openapi":"delete /entitlements/{id}/files/{file_id}","href":"/api-reference/entitlements/delete-file"},{"title":"List Grants","openapi":"get /entitlements/{id}/grants","href":"/api-reference/entitlements/list-grants"},{"title":"List Customer Grants","openapi":"get /customers/{customer_id}/entitlement-grants","href":"/api-reference/entitlements/list-customer-grants"},{"title":"Fulfill License Key Grant","openapi":"post /grants/{grant_id}/license-key","href":"/api-reference/entitlements/fulfill-license-key"},{"title":"Revoke Grant","openapi":"delete /entitlements/{id}/grants/{grant_id}","href":"/api-reference/entitlements/revoke-grant"}]},{"group":"Customers","pages":[{"openapi":"post /customers","title":"Create Customer","href":"/api-reference/customers/create-customer"},{"openapi":"get /customers","title":"List Customers","href":"/api-reference/customers/get-customers"},{"openapi":"get /customers/{customer_id}","title":"Get Customer Detail","href":"/api-reference/customers/get-customers-1"},{"openapi":"patch /customers/{customer_id}","title":"Update Customer","href":"/api-reference/customers/patch-customer"},{"openapi":"post /customers/{customer_id}/customer-portal/session","title":"Create Customer Portal Session","href":"/api-reference/customers/create-customer-portal-session"},{"openapi":"get /customers/{customer_id}/payment-methods","title":"List Payment Methods","href":"/api-reference/customers/get-customer-payment-methods"},{"openapi":"delete /customers/{customer_id}/payment-methods/{payment_method_id}","title":"Delete Payment Method","href":"/api-reference/customers/delete-payment-method"},{"openapi":"get /customers/{customer_id}/entitlements","title":"List Customer Entitlements","href":"/api-reference/customers/list-customer-entitlements"},{"openapi":"get /customers/{customer_id}/credit-entitlements","title":"List Customer Credit Entitlements","href":"/api-reference/customers/list-customer-credit-entitlements"},{"openapi":"get /customers/{customer_id}/emails","title":"List Customer Emails","href":"/api-reference/customers/list-customer-emails"},{"openapi":"get /customers/{customer_id}/emails/{email_log_id}/body","title":"Get Customer Email Content","href":"/api-reference/customers/get-customer-email-body"}]},{"group":"Customer Wallets","pages":[{"openapi":"get /customers/{customer_id}/wallets","title":"List Customer Wallets","href":"/api-reference/customers/get-customer-wallets"},{"openapi":"get /customers/{customer_id}/wallets/ledger-entries","title":"List Customer Wallet Ledger Entries","href":"/api-reference/customers/get-customer-wallets-ledger-entries"},{"openapi":"post /customers/{customer_id}/wallets/ledger-entries","title":"Create Customer Wallet Ledger Entry","href":"/api-reference/customers/post-customer-wallets-ledger-entries"}]},{"group":"Customer Blocklist","pages":[{"openapi":"get /blocklist/customers","title":"List Blocked Customers","href":"/api-reference/blocklist/list-blocked-customers"},{"openapi":"post /blocklist/customers","title":"Block Customer","href":"/api-reference/blocklist/block-customer"},{"openapi":"get /blocklist/customers/{entry_id}","title":"Get Blocked Customer","href":"/api-reference/blocklist/get-blocked-customer"},{"openapi":"delete /blocklist/customers/{entry_id}","title":"Unblock Customer","href":"/api-reference/blocklist/unblock-customer"},{"openapi":"post /blocklist/customers/{entry_id}/notes","title":"Add Blocklist Note","href":"/api-reference/blocklist/add-blocklist-note"},{"openapi":"patch /blocklist/customers/{entry_id}/notes/{note_id}","title":"Update Blocklist Note","href":"/api-reference/blocklist/update-blocklist-note"}]},{"group":"Products","pages":[{"openapi":"get /products","title":"List Products","href":"/api-reference/products/get-products"},{"openapi":"post /products","title":"Create Product","href":"/api-reference/products/post-products"},{"openapi":"get /products/{id}","title":"Get Product Detail","href":"/api-reference/products/get-products-1"},{"openapi":"patch /products/{id}","title":"Update Product","href":"/api-reference/products/patch-products"},{"openapi":"put /products/{id}/images","title":"Update Product Image","href":"/api-reference/products/put-products-images"},{"openapi":"delete /products/{id}","title":"Archive Product","href":"/api-reference/products/archive-product"},{"openapi":"post /products/{id}/unarchive","title":"Unarchive Product","href":"/api-reference/products/unarchive-product"},{"openapi":"put /products/{id}/files","title":"Upload Product File","href":"/api-reference/products/update-files"},{"openapi":"get /products/short_links","title":"List Short Links","href":"/api-reference/products/get-products-short-links"},{"openapi":"post /products/{id}/short_links","title":"Create Short Link","href":"/api-reference/products/post-products-id-short-links"}]},{"group":"Localized Pricing","pages":[{"openapi":"get /products/{product_id}/localized-prices","title":"List Localized Prices","href":"/api-reference/products/get-products-localized-prices"},{"openapi":"post /products/{product_id}/localized-prices","title":"Create Localized Price","href":"/api-reference/products/post-products-localized-prices"},{"openapi":"get /products/{product_id}/localized-prices/{id}","title":"Get Localized Price","href":"/api-reference/products/get-products-localized-prices-id"},{"openapi":"patch /products/{product_id}/localized-prices/{id}","title":"Update Localized Price","href":"/api-reference/products/patch-products-localized-prices"},{"openapi":"delete /products/{product_id}/localized-prices/{id}","title":"Archive Localized Price","href":"/api-reference/products/delete-products-localized-prices"}]},{"group":"Addons","pages":[{"openapi":"post /addons","title":"Create Addon","href":"/api-reference/addons/create-addon"},{"openapi":"get /addons","title":"List Addons","href":"/api-reference/addons/list-addons"},{"openapi":"get /addons/{id}","title":"Get Addon","href":"/api-reference/addons/get-addon"},{"openapi":"patch /addons/{id}","title":"Update Addon","href":"/api-reference/addons/update-addon"},{"openapi":"put /addons/{id}/images","title":"Update Addon Image","href":"/api-reference/addons/update-addon-images"},{"openapi":"delete /addons/{id}","title":"Archive Addon","href":"/api-reference/addons/archive-addon"},{"openapi":"post /addons/{id}/unarchive","title":"Unarchive Addon","href":"/api-reference/addons/unarchive-addon"}]},{"group":"Credit Entitlements","pages":[{"openapi":"get /credit-entitlements","title":"List Credit Entitlements","href":"/api-reference/credit-entitlements/list-credit-entitlements"},{"openapi":"post /credit-entitlements","title":"Create Credit Entitlement","href":"/api-reference/credit-entitlements/create-credit-entitlement"},{"openapi":"get /credit-entitlements/{id}","title":"Get Credit Entitlement","href":"/api-reference/credit-entitlements/get-credit-entitlement"},{"openapi":"patch /credit-entitlements/{id}","title":"Update Credit Entitlement","href":"/api-reference/credit-entitlements/update-credit-entitlement"},{"openapi":"delete /credit-entitlements/{id}","title":"Delete Credit Entitlement","href":"/api-reference/credit-entitlements/delete-credit-entitlement"},{"openapi":"post /credit-entitlements/{id}/undelete","title":"Undelete Credit Entitlement","href":"/api-reference/credit-entitlements/undelete-credit-entitlement"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances","title":"List Balances","href":"/api-reference/credit-entitlements/list-balances"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}","title":"Get Customer Balance","href":"/api-reference/credit-entitlements/get-customer-balance"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/grants","title":"List Customer Grants","href":"/api-reference/credit-entitlements/list-customer-grants"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/ledger","title":"List Customer Ledger","href":"/api-reference/credit-entitlements/list-customer-ledger"},{"openapi":"post /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/ledger-entries","title":"Create Ledger Entry","href":"/api-reference/credit-entitlements/create-ledger-entry"}]},{"group":"Meters","pages":[{"openapi":"post /meters","title":"Create Meter","href":"/api-reference/meters/create-meter"},{"openapi":"get /meters","title":"List Meters","href":"/api-reference/meters/get-meters"},{"openapi":"get /meters/{id}","title":"Get Meter","href":"/api-reference/meters/retrieve-meter"},{"openapi":"patch /meters/{id}","title":"Update Meter","href":"/api-reference/meters/update-meter"},{"openapi":"delete /meters/{id}","title":"Archive Meter","href":"/api-reference/meters/archive-meter"},{"openapi":"post /meters/{id}/unarchive","title":"Unarchive Meter","href":"/api-reference/meters/unarchive-meter"}]},{"group":"Usage Events","pages":[{"openapi":"post /events/ingest","title":"Ingest Events","href":"/api-reference/usage-events/ingest-events"},{"openapi":"get /events/{event_id}","title":"Get Event","href":"/api-reference/usage-events/get-event"},{"openapi":"get /events","title":"List Events","href":"/api-reference/usage-events/list-events"}]},{"group":"Refunds","pages":[{"openapi":"get /refunds","title":"List Refunds","href":"/api-reference/refunds/get-refunds"},{"openapi":"post /refunds","title":"Create Refund","href":"/api-reference/refunds/post-refunds"},{"openapi":"get /refunds/{refund_id}","title":"Get Refund Detail","href":"/api-reference/refunds/get-refunds-1"},{"openapi":"get /invoices/refunds/{refund_id}","title":"Get Refund Receipt","href":"/api-reference/refunds/get-refund-receipt"}]},{"group":"Disputes","pages":[{"openapi":"get /disputes","title":"List Disputes","href":"/api-reference/disputes/get-disputes"},{"openapi":"get /disputes/{dispute_id}","title":"Get Dispute Detail","href":"/api-reference/disputes/get-disputes-1"}]},{"group":"Payouts","pages":[{"openapi":"get /payouts","title":"List Payouts","href":"/api-reference/payouts/get-payouts"},{"openapi":"get /payouts/{payout_id}/breakup","title":"Retrieve Payout Breakup","href":"/api-reference/payouts/retrieve-breakup"},{"openapi":"get /payouts/{payout_id}/breakup/details","title":"List Payout Breakup Details","href":"/api-reference/payouts/list-breakup-details"},{"openapi":"get /payouts/{payout_id}/breakup/details/csv","title":"Download Payout Breakup CSV","href":"/api-reference/payouts/download-breakup-csv"},{"openapi":"get /invoices/payouts/{payout_id}","title":"Get Payout Invoice","href":"/api-reference/payouts/get-payout-invoice"}]},{"group":"Balance Ledger","pages":[{"openapi":"get /balances/ledger","title":"List Balance Ledger Entries","href":"/api-reference/balance-ledger/list-ledger-entries"}]},{"group":"Moderation","tag":"NEW","pages":[{"openapi":"post /moderation/screen","title":"Screen a Prompt","href":"/api-reference/moderation/screen"},{"openapi":"get /moderation/usage","title":"Get Moderation Usage","href":"/api-reference/moderation/get-usage"}]},{"group":"Brands","pages":[{"openapi":"get /brands","title":"List Brands","href":"/api-reference/brands/list-brands"},{"openapi":"post /brands","title":"Create Brand","href":"/api-reference/brands/create-brand"},{"openapi":"get /brands/{id}","title":"Get Brand","href":"/api-reference/brands/get-brand"},{"openapi":"patch /brands/{id}","title":"Update Brand","href":"/api-reference/brands/update-brand"},{"openapi":"put /brands/{id}/images","title":"Update Brand Image","href":"/api-reference/brands/update-brand-images"},{"openapi":"post /brands/{id}/archive","title":"Archive Brand","href":"/api-reference/brands/archive-brand"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks","title":"List Webhooks","href":"/api-reference/webhooks/list-webhooks"},{"openapi":"post /webhooks","title":"Create Webhook","href":"/api-reference/webhooks/create-webhook"},{"openapi":"get /webhooks/{webhook_id}","title":"Get Webhook Detail","href":"/api-reference/webhooks/get-details"},{"openapi":"patch /webhooks/{webhook_id}","title":"Update Webhook","href":"/api-reference/webhooks/update-webhook"},{"openapi":"delete /webhooks/{webhook_id}","title":"Delete Webhook","href":"/api-reference/webhooks/delete-webhook"},{"openapi":"get /webhooks/{webhook_id}/headers","title":"Get Webhook Headers","href":"/api-reference/webhooks/get-webhook-headers"},{"openapi":"patch /webhooks/{webhook_id}/headers","title":"Update Webhook Headers","href":"/api-reference/webhooks/update-webhook-headers"},{"openapi":"get /webhooks/{webhook_id}/secret","title":"Get Webhook Signing Key","href":"/api-reference/webhooks/get-webhook-signing-key"}]},{"group":"Miscellaneous","pages":[{"title":"Supported Countries","openapi":"get /checkout/supported_countries","href":"/api-reference/misc/supported-countries"}]},{"group":"Product Collections","pages":[{"openapi":"get /product-collections","title":"List Product Collections","href":"/api-reference/product-collections/list-product-collections"},{"openapi":"post /product-collections","title":"Create Product Collection","href":"/api-reference/product-collections/create-product-collection"},{"openapi":"get /product-collections/{id}","title":"Get Product Collection","href":"/api-reference/product-collections/get-product-collection"},{"openapi":"patch /product-collections/{id}","title":"Update Product Collection","href":"/api-reference/product-collections/update-product-collection"},{"openapi":"delete /product-collections/{id}","title":"Archive Product Collection","href":"/api-reference/product-collections/archive-product-collection"},{"openapi":"post /product-collections/{id}/unarchive","title":"Unarchive Product Collection","href":"/api-reference/product-collections/unarchive-product-collection"},{"openapi":"put /product-collections/{id}/images","title":"Update Product Collection Image","href":"/api-reference/product-collections/update-product-collection-images"},{"openapi":"post /product-collections/{id}/groups","title":"Create Product Collection Group","href":"/api-reference/product-collections/create-group"},{"openapi":"patch /product-collections/{id}/groups/{group_id}","title":"Update Product Collection Group","href":"/api-reference/product-collections/update-group"},{"openapi":"delete /product-collections/{id}/groups/{group_id}","title":"Delete Product Collection Group","href":"/api-reference/product-collections/delete-group"},{"openapi":"post /product-collections/{id}/groups/{group_id}/items","title":"Add Products to Group","href":"/api-reference/product-collections/add-group-items"},{"openapi":"patch /product-collections/{id}/groups/{group_id}/items/{item_id}","title":"Update Group Item","href":"/api-reference/product-collections/update-group-item"},{"openapi":"delete /product-collections/{id}/groups/{group_id}/items/{item_id}","title":"Delete Group Item","href":"/api-reference/product-collections/delete-group-item"}]}]},{"tab":"External Integrations","icon":"plug","pages":[{"title":"External Integrations","href":"/integrations/introduction"}]},{"tab":"Changelog","icon":"calendar-days","pages":[{"title":"Changelog","href":"/changelog/introduction"}]},{"tab":"Community Projects","icon":"users","pages":[{"title":"Community Projects","href":"/community/overview"}]}]},{"language":"es","pages":[{"title":"es","href":"/es/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"ar","pages":[{"title":"ar","href":"/ar/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"fr","pages":[{"title":"fr","href":"/fr/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"de","pages":[{"title":"de","href":"/de/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"id","pages":[{"title":"id","href":"/id/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"ja","pages":[{"title":"ja","href":"/ja/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"ko","pages":[{"title":"ko","href":"/ko/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"pt-BR","pages":[{"title":"pt-BR","href":"/pt-BR/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"vi","pages":[{"title":"vi","href":"/vi/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"cn","pages":[{"title":"cn","href":"/cn/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"hi","pages":[{"title":"hi","href":"/hi/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"it","pages":[{"title":"it","href":"/it/api-reference/subscriptions/get-subscriptions-1"}]},{"language":"sv","pages":[{"title":"sv","href":"/sv/
[...]
